Open SCAP Library

Macros | Functions
filehash58.c File Reference

filehash58 probe More...

`#include <seap.h>`
`#include <probe-api.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <limits.h>`
`#include <pthread.h>`
`#include <errno.h>`
`#include <crapi/crapi.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include "common/debug_priv.h"`
`#include "oval_fts.h"`
`#include "util.h"`
`#include "probe/entcmp.h"`

## Macros
#define | FILE_SEPARATOR '/'
#define | CRAPI_INVALID -1

## Functions
int | probe_offline_mode_supported ()
void * | probe_init (void)
void | probe_fini (void *arg)
int | probe_main (probe_ctx *ctx, void *mutex)

## Detailed Description

filehash58 probe

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2011/07/01 plaut.nosp@m.rba@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a filehash58_object as defined in OVAL 5.8